## addresses-for-gnustep 0.4.8

=== debian/changelog ===
addresses-for-gnustep (0.4.8-7) unstable; urgency=medium

  * debian/control (Build-Depends): Require libinspector-dev (>= 1.0.0-5)
    for the multiarch layout.  Drop gnustep-make; implied.
    (libaddresses-dev, libaddresses0, libaddressview-dev)
    (libaddressview0): Mark as Multi-Arch: same.
  * debian/addressmanager.app.install: Update for multiarch.
  * debian/addresses-goodies-for-gnustep.install: Likewise.
  * debian/libaddresses-dev.install: Likewise.
  * debian/libaddresses-dev.maintscript: Likewise.
  * debian/libaddresses0.install: Likewise.
  * debian/libaddressview-dev.install: Likewise.
  * debian/libaddressview0.install: Likewise (Closes: #1094005).
  * debian/upstream/metadata: New file.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 04 Feb 2025 21:17:57 +0200

addresses-for-gnustep (0.4.8-6) unstable; urgency=medium

  * debian/patches/ADPersonView-check-superview.patch: New; fix GWorkspace
    exception on i386 caused by the VCFViewer inspector, thanks Paul
    Seelig for the bug report (Closes: #1087735).

 -- Yavor Doganov <yavor@gnu.org>  Wed, 20 Nov 2024 10:24:37 +0200

addresses-for-gnustep (0.4.8-5) unstable; urgency=medium

  * debian/control (Build-Depends): Replace libgnustep-gui-dev with
    libinspector-dev.  Bump gnustep-make requirement to (>= 2.9.2-4) for
    dh_gnustep's --bundle option.
    (addresses-goodies-for-gnustep) <Enhances>: Set to gworkspace.app.
    <Description>: Add the VCFViewer GWorkspace inspector.
  * debian/rules (override_dh_auto_build): Don't define disable-vcfviewer.
    (override_dh_auto_install): Likewise.
    (execute_before_dh_link): Pass --bundle --bug-script for the
    addresses-goodies-for-gnustep package.
  * debian/addresses-goodies-for-gnustep.install: Install the inspector.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 26 Sep 2024 15:18:51 +0300

addresses-for-gnustep (0.4.8-4) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Yavor Doganov ]
  * Run wrap-and-sort -ast.
  * debian/gbp.conf: New file.
  * debian/control (Maintainer): Swap with Uploaders.
    (Uploaders): Add myself.
    (Build-Depends): Bump compat level to 13.  Bump gnustep-make
    requirement to (>= 2.9.2-2) for dh_gnustep's --app option.  Remove
    dh_exec.  Add dpkg-build-api (= 1).  Add imagemagick.
    (Standards-Version): Claim compliance with 4.7.0.
  * debian/addressmanager.app.install: Install everything in /usr/lib;
    dh_gnustep will take care to move stuff afterwards.  Install the PNG
    icon in /usr/share/pixmaps/GNUstep.
  * debian/libaddresses-dev.install: Install missing symlinks; don't move
    files around (it's dh_gnustep's job).
  * debian/libaddressview-dev.install: Likewise.
  * debian/libaddresses0.install: Don't move files.
  * debian/libaddressview0.install: Likewise.
  * debian/libaddresses-dev.links: Delete; now redundant.
  * debian/libaddressview-dev.links: Likewise.
  * debian/libaddresses0.links: Likewise.
  * debian/libaddressview0.links: Likewise.
  * debian/addressmanager.app.links: Likewise.
  * debian/libaddresses-dev.maintscript: New file; switch
    /usr/include/GNUstep/AddressBook to a directory -- it is supposed to
    contain only the compatibility header AddressBook.h.
  * debian/rules (execute_before_dh_link): New target; run dh_gnustep.
    (override_dh_auto_build): Use $(verbose) instead of hardcoded
    messages=yes to support "terse" in DEB_BUILD_OPTIONS.  Create a PNG
    icon; AppStream cannot handle TIFF and cannot follow symlinks.
    (override_dh_auto_install): Use dh_auto_install.
    (override_dh_fixperms): Don't chmod the .desktop file; it's being
    deleted by dh_gnustep.  Simplify recipe.
    (override_dh_auto_clean): Delete the PNG icon.
    (DEB_LDFLAGS_MAINT_APPEND): Drop -Wl,--as-needed.
  * debian/addresses-for-goodies.install: Don't rename adtool; the adtool
    package has been removed from Debian and unlikely to return back.
  * debian/addresstool.1: Rename as...
  * debian/adtool.1: ...and remove paragraph about renaming.
  * debian/addresses-for-goodies.manpages: Install debian/adtool.1.
  * debian/patches/encoding.patch: New; convert some files to UTF-8 to fix
    lintian W: national-encoding.  Unfortunately this cannot be done
    programmatically as some of them are in unknown encoding so only Emacs
    is able to open them correctly.
  * debian/patches/header-guard.patch: New; add missing header guard.
  * debian/patches/duplicate-decls.patch: New; fix duplicate
    interface/protocol declarations.
  * debian/patches/missing-import.patch: New; add missing #import.
  * debian/patches/init-from-distinct-type.patch: New; fix "initialization
    from distinct Objective-C type" compiler warning.
  * debian/patches/int-conversion.patch: New; fix int-conversion compiler
    warning which is fatal with GCC 14 and -std=gnu17.
  * debian/patches/NSInteger-migration: New; fix a bunch of
    incompatible-pointer-types compiler warnings.
  * debian/patches/link-libs.patch: Mark as Forwarded: not-needed as UDD
    can't figure that it's an upstream patch.
  * debian/patches/fix-adserver-format.patch: Add DEP-3 headers.
  * debian/libaddresses0.lintian-overrides: Delete; lintian bug fixed.
  * debian/libaddressview0.lintian-overrides: Likewise.
  * debian/AddressManager.desktop: Adjust icon type and location.
  * debian/libaddresses0.docs: Delete; docs in the -dev are enough.
  * debian/libaddressview0.docs: Likewise.
  * debian/watch: Upgrade to version 4.
  * debian/copyright: Switch license to LGPL-2.1+, a move made upstream
    eons ago.  Add Upstream-Contact.  Use tarballs' location as Source.
    Update copyright years for Debian packaging.
  * debian/NEWS: New file; document the addresstool rename.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 09 Sep 2024 11:20:35 +0300

addresses-for-gnustep (0.4.8-3) unstable; urgency=medium


