=== debian/watch ===
version=4
https://dl.sv.gnu.org/releases/gap/Addresses-@ANY_VERSION@@ARCHIVE_EXT@
